Name:           daggy
Version:        1.1.3
Release:        1%{?dist}
Summary:        Data Aggregation Utility

# QSshLib is part of Qt Creator
# which is GPLv3+ with exceptions, but exceptions do not apply here
License:        MIT and GPLv3+
URL:            https://github.com/synacker/daggy
Source0:        %{url}/archive/%{version}/%{name}-%{version}.tar.gz

BuildRequires:  qt5-qtbase-devel
BuildRequires:  gcc-c++
BuildRequires:  pkgconfig(botan-2)
BuildRequires:  pkgconfig(yaml-cpp)

# This is some parts of some version of QSshLib (from Qt Creator)
Provides: bundled(qsshlib)

%description
Daggy - Data Aggregation Utilty - is an IT automation tool. 
It can run terminal commands on local or remote serveres 
and aggregate their output locally.

Daggy main goals are simplicity and ease-of-use. 
If you know about yaml/json, bash/powershell 
and ssh you know how to use Daggy.

Daggy can be helpful for developers, QA, DevOps and 
engenieers for debug, analyze and control 
distributed network systems, for example, 
based on microservice architecture.

Daggy is serverless, cross-platform solution and 
don't require installation on remote servers. 
Commands execution work under SSH transport protocol or 
via local terminal.

%prep
%autosetup
rm -vrf 3rd-party
mkdir -p %{_target_platform}

%build
pushd %{_target_platform}
  %qmake_qt5 BINDIR=%{_bindir} LIBDIR=%{_libdir} VERSION=%{version} BUILD_NUMBER=0 CONFIG+=release ..
popd
%make_build -C %{_target_platform}

%install
%make_install INSTALL_ROOT=%{buildroot} -C %{_target_platform}

%files
%license COPYING ssh/LICENSE.GPL3-EXCEPT.txt
%doc README.md
%{_bindir}/daggy

%changelog
* Thu Jul 25 2019 Mikhail Milovidov <milovidovmikhail@gmail.com> - 1.1.3-1
- Update to 1.2.3

* Wed Jul 24 2019 Fedora Release Engineering <releng@fedoraproject.org> - 1.1.2-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_31_Mass_Rebuild

* Sun Jun 23 2019 Mikhail Milovidov <milovidovmikhail@gmail.com> - 1.1.2-1
- Update to 1.1.2

* Fri Jun 21 2019 Mikhail Milovidov <milovidovmikhail@gmail.com> - 1.1.1-1
- Update to 1.1.1

* Sun Jun 16 20:04:20 CEST 2019 Igor Gnatenko <ignatenkobrain@fedoraproject.org> - 1.1.0-1
- Update to 1.1.0

* Tue Mar 19 2019 Igor Gnatenko <ignatenkobrain@fedoraproject.org> - 1.0.1-1
- Update to 1.0.1

* Sat Mar 16 2019 Mikhail Milovidov <milovidovmikhail@gmail.com> - 1.0.0-1
- Initial rpm release
